Summary:	Image loading and rendering library for X11R6
Name:		imlib
Version:	1.9.15
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/imlib/1.9/imlib/%{name}-%{version}.tar.bz2
Source1:	%{name}_config.desktop
Source2:        local-hack-gmodule.tar.gz
Patch1:         imlib-1.9.13-sec2.patch
Patch2:         imlib-1.9.15-bpp16-CVE-2007-3568.patch
Patch3:         imlib-1.9.10-cppflags.patch
Patch4:         imlib-1.9.15-gmodulehack.patch
Patch6:         imlib-1.9.13-underquoted.patch
Patch8:         imlib-1.9.15-lib-bloat.patch
Patch9:         imlib-1.9.15-multilib-config.patch
Patch10:        imlib-1.9.15-check-for-shm-pixmaps.patch
URL:		http://www.labs.redhat.com/imlib/
BuildRequires:	autoconf automake gettext-devel libgtk+1.2-devel libjpeg-devel >= 6b
BuildRequires:	libtiff-devel libpng libungif-devel zlib-devel gdk-pixbuf-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr
%define		_sysconfdir	/etc/X11/imlib

%description
Imlib is an advanced replacement library for libraries like libXpm
that provides many more features with much greater flexability and
speed.

%package 	devel
Summary:	Imlib header files and development documentation
Group:		Development

%description 	devel
Header files and development documentation for Imlib.

%prep
%setup -q
%patch1 -p1 -b .sec2
%patch2 -p0 -b .bpp16
%patch3 -p1 -b .cppflags
%patch4 -p1 -b .gmodulehack
%patch6 -p1 -b .underquoted
%patch8 -p1 -b .lib-bloat
%patch9 -p1 -b .multilib
%patch10 -p1 -b .shmpixmaps

## Local gmodule hack to support building with libpng rather than libpng10
(cd gdk_imlib && %{__tar} zxf %{SOURCE2})
%{__sed} -i -e  's/gmodule.h/gmodule-local.h/g;
                 s/g_module/local_hack_g_module/g;
                 s/GModule/LocalHackGModule/g;
                 s/G_MODULE/LOCAL_HACK_G_MODULE/g' \
        gdk_imlib/modules.c
%{__sed} -i -e 's/-static//g' \
        gdk_imlib/local-hack-gmodule/Makefile

## Change soname to reflect new libpng
#{__sed} -i -e 's/10:15:9/11:0:0/g' Imlib/Makefile*

%build
autoreconf -i -f
%configure --disable-nls --without-included-gettext
## Remove -L%{_libdir} from imlib-config if present;
## it's redundant and breaks multilib compatibility
%{__sed} -i -e 's,-L%{_libdir} ,,g' imlib-config

## Kill bogus RPATHs
%{__sed} -i 's|^sys_lib_dlsearch_path_spec="/lib /usr/lib|sys_lib_dlsearch_path_spec="/%{_lib} %{_libdir}|' libtool

## Build local gmodule hack
tagname=CC %{__make} -C gdk_imlib/local-hack-gmodule
%{__cp} gdk_imlib/local-hack-gmodule/gmodule-local.h gdk_imlib/

## Avoid unnecessary library linkage in libgdk_imlib
GX_LIBS=$(/usr/bin/gtk-config --libs | %{__sed} -e 's/-lgtk //; s/-lgmodule //; s/-lXi //')

## Note: build with %{?_smp_mflags} doesn't work reliably
%{__make} GX_LIBS="${GX_LIBS}"
			    
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
ldconfig -l $RPM_BUILD_ROOT{_libdir}/*.so*
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Graphics
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Graphics

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config %{_sysconfdir}/*
/usr/lib/*.so.*
/usr/lib/*.so
/usr/lib/*.la

%files devel
%defattr(644,root,root,755)
%{_libdir}/*.a
%attr(755,root,root) %{_bindir}/imlib-config
%attr(755,root,root) %{_bindir}/imlib_config
%{_includedir}/*
/usr/share
